"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-11.0-arm64-cpython-312/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x108186200>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x1081862a0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x108186340>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x1081863e0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x108186480>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x108186520>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x1081865c0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x108186660>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x108186700>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x1081867a0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x108186840>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x1081868e0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x108186980>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x108186a20>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x108186ac0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x108186b60>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x108186c00>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x108186ca0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x108186d40>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x108186de0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x108186e80>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x108186f20>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x108186fc0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x108187060>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x108187100>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x1081871a0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x108187240>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x1081872e0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x108187380>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x108187420>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x1081874c0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x108187560>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x108187600>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x1081876a0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x108187740>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x1081877e0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x108187880>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x108187920>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x1081879c0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x108187a60>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x108187b00>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x108187ba0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x108187c40>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x108187ce0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x108187d80>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x108187e20>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x108187ec0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x108187f60>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x1081c8040>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x1081c80e0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x1081c8180>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x1081c8220>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x1081c82c0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x1081c8360>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x1081c8400>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x1081c84a0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x1081c8540>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x1081c85e0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x1081c8680>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x1081c8720>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x1081c87c0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x1081c8860>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x1081c8900>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x1081c89a0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x1081c8a40>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x1081c8ae0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x1081c8b80>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x1081c8c20>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x1081c8cc0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x1081c8d60>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x1081c8e00>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x1081c8ea0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x1081c8f40>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x1081c8fe0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x1081c9080>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x1081c9120>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x1081c91c0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x1081c9260>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x1081c9300>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x1081c93a0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x1081c94e0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x1081c9440>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x1081c9580>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x1081c9620>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x1081c96c0>)]
name: str = 'fr_HOCCN'
